summaryrefslogtreecommitdiffstats
path: root/network/ngrep
diff options
context:
space:
mode:
Diffstat (limited to 'network/ngrep')
-rw-r--r--network/ngrep/ngrep.SlackBuild12
-rw-r--r--network/ngrep/ngrep.info2
-rw-r--r--network/ngrep/slack-desc2
3 files changed, 12 insertions, 4 deletions
diff --git a/network/ngrep/ngrep.SlackBuild b/network/ngrep/ngrep.SlackBuild
index cb74a01a95..57ea211383 100644
--- a/network/ngrep/ngrep.SlackBuild
+++ b/network/ngrep/ngrep.SlackBuild
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -53,6 +56,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--enable-ipv6=${NGREP_IPV6} \
@@ -64,8 +68,10 @@ make
make install DESTDIR=$PKG mandir=/usr/man
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
find $PKG/usr/man -type f -exec gzip -9 {} \;
@@ -78,4 +84,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ngrep/ngrep.info b/network/ngrep/ngrep.info
index c41388d2ac..3076d7cac8 100644
--- a/network/ngrep/ngrep.info
+++ b/network/ngrep/ngrep.info
@@ -2,7 +2,9 @@ PRGNAM="ngrep"
VERSION="1.45"
HOMEPAGE="http://ngrep.sourceforge.net/"
DOWNLOAD="http://downloads.sourceforge.net/ngrep/ngrep-1.45.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="bc8150331601f3b869549c94866b4f1c"
+MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"
EMAIL="larryhaja[at]gmail[dot]com"
APPROVED="rworkman"
diff --git a/network/ngrep/slack-desc b/network/ngrep/slack-desc
index d286d4f10e..47199a17d6 100644
--- a/network/ngrep/slack-desc
+++ b/network/ngrep/slack-desc
@@ -15,5 +15,5 @@ ngrep: to match against data payloads of packets. It currently recognizes
ngrep: IPv4/6, TCP, UDP and ICMPv4/6, IGMP and Raw across Ethernet, PPP,
ngrep: SLIP, FDDI, Token Ring and null interfaces.
ngrep:
-ngrep: Home: http://ngrep.sourceforge.net/
+ngrep: Homepage: http://ngrep.sourceforge.net/
ngrep: \ No newline at end of file